Package org.eclipse.pde.core.plugin

# Interface ISharedExtensionsModel

All Superinterfaces:
  `IAdaptable`, `IBaseModel`, `IModel`, `IModelChangeProvider`, `ISharedPluginModel`

All Known Subinterfaces:
  `IExtensionsModel`, `IFragmentModel`, `IPluginModel`, `IPluginModelBase`

public interface ISharedExtensionsModel extends ISharedPluginModel
This type of model is created by parsing the plug-in manifest file but only takes the extensions and extension points into account.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IExtensions`
`getExtensions()`
Returns a top-level model object.
`IExtensions`
`getExtensions(boolean createIfMissing)`
Returns a top-level model object.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.pde.core.IBaseModel

`dispose, isDisposed, isEditable, isValid`

### Methods inherited from interface org.eclipse.pde.core.IModel

`getResourceString, getTimeStamp, getUnderlyingResource, isInSync, isLoaded, isReconcilingModel, load, load, reload`

### Methods inherited from interface org.eclipse.pde.core.IModelChangeProvider

`addModelChangedListener, fireModelChanged, fireModelObjectChanged, removeModelChangedListener`

### Methods inherited from interface org.eclipse.pde.core.plugin.ISharedPluginModel

`getFactory, getInstallLocation`

## Method Details

### getExtensions

IExtensions getExtensions()
Returns a top-level model object. Equivalent to calling

    getPluginBase(true)

.

Returns:
  a top-level model object representing a plug-in or a fragment.

### getExtensions

IExtensions getExtensions(boolean createIfMissing)
Returns a top-level model object.

Parameters:
  `createIfMissing` - if true, root model object will be created if not defined.
Returns:
  a top-level model object